Package org.apache.calcite.avatica.util

## Enum IteratorCursor.Position

- java.lang.Object
- - java.lang.Enum<IteratorCursor.Position>
  - - org.apache.calcite.avatica.util.IteratorCursor.Position

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<IteratorCursor.Position>`

Enclosing class:
  IteratorCursor<E>

    private static enum IteratorCursor.Position
    extends java.lang.Enum<IteratorCursor.Position>

Are we positioned on a valid row?

### Enum Constant Summary

Enum Constants
`AFTER_END`
`BEFORE_START`
`CLOSED`
`OK`

### Constructor Summary

Constructors
`private` `Position()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IteratorCursor.Position` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IteratorCursor.Position[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CLOSED

    public static final IteratorCursor.Position CLOSED

#### BEFORE_START

    public static final IteratorCursor.Position BEFORE_START

#### OK

    public static final IteratorCursor.Position OK

#### AFTER_END

    public static final IteratorCursor.Position AFTER_END

### Constructor Detail

#### Position

    private Position()

### Method Detail

#### values

    public static IteratorCursor.Position[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IteratorCursor.Position c : IteratorCursor.Position.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IteratorCursor.Position valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null